function NotificationController(NotificationService, ScreenService, ConsumersRepository) {

	this.getNotifications = function (widget){
		ConsumersRepository.findAll()
		.then(this.getNotificationsByConsumers())
		.then(function(response){
			widget.dataSource.data = response;
			widget.activate();
		});
	};

	this.getNotificationsByConsumers = function () {
		return function(consumers) {
			return NotificationService.loadNotifications(consumers);
		};
	};

	this.setAsReaded = function(row){
		if(row.IDNOTIFICAAPPLIDA === 'N'){
			NotificationService.setAsReaded(row);
		}
	}
}

Configuration(function (ContextRegister) {
	ContextRegister.register('NotificationController', NotificationController);
});